Bug 863325 - [abrt] calibre-0.8.63-1.fc17: input.py:196:filter_load:AttributeError: Extract instance has no attribute '_walknode'
[abrt] calibre-0.8.63-1.fc17: input.py:196:filter_load:AttributeError: Extrac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:1c41f7472901bc419de39e8ea5b...
:
: 875231 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 02:19 EDT by Maksym Sh
Modified: 2013-08-01 13:34 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (978 bytes, text/plain)
2012-10-05 02:19 EDT, Maksym Sh
no flags Details
testing.odt used to convert with calibre (23.96 KB, application/vnd.oasis.opendocument.text)
2012-11-09 13:58 EST, Asif Ali Rizvan
no flags Details

  None (edit)
Description Maksym Sh 2012-10-05 02:19:32 EDT
Description of problem:
Actually don't know, it has occured when I close the application.

Version-Release number of selected component:
calibre-0.8.63-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        python2 /usr/bin/calibre-parallel
kernel:         3.5.4-2.fc17.x86_64

backtrace:
:input.py:196:filter_load:AttributeError: Extract instance has no attribute '_walknode'
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 20, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 191, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
:    override_input_metadata=True)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 979, in run
:    accelerators, tdir)
:  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 239, in __call__
:    log, accelerators)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/odt_input.py", line 23, in convert
:    return Extract()(stream, '.', log)
:  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 213, in __call__
:    self.filter_load(stream, mi, log)
:  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 196, in filter_load
:    self._walknode(self.document.topnode)
:AttributeError: Extract instance has no attribute '_walknode'
:
:Local variables in innermost frame:
:odffile: <open file u'/tmp/calibre_0.8.63_tmp_6ORvf6/Ei1yQo.odt', mode 'rb' at 0x36980c0>
:self: <calibre.ebooks.odt.input.Extract instance at 0x38dbcf8>
:mi: <calibre.ebooks.metadata.book.base.Metadata object at 0x38fddd0>
:log: <calibre.utils.logging.Log object at 0x2ff9e50>
Comment 1 Maksym Sh 2012-10-05 02:19:36 EDT
Created attachment 621943 [details]
File: core_backtrace
Comment 2 Kevin Fenzi 2012-10-06 13:33:04 EDT
Can you get this to happen again? Or was it one time?
Comment 3 Asif Ali Rizvan 2012-11-09 13:58:00 EST
Also affects fedora 18 (testing.odt)

calibre, version 0.9.4 (linux2, isfrozen: False)
Conversion Error: Failed: Convert book 1 of 1 (testing)

Convert book 1 of 1 (testing)
Resolved conversion options
calibre version: 0.9.4
{'asciiize': False,
 'author_sort': None,
 'authors': None,
 'base_font_size': 0.0,
 'book_producer': None,
 'change_justification': u'original',
 'chapter': u"//*[((name()='h1' or name()='h2') and re:test(., '\\s*((chapter|book|section|part)\\s+)|((prolog|prologue|epilogue)(\\s+|$))', 'i')) or @class = 'chapter']",
 'chapter_mark': u'pagebreak',
 'comments': None,
 'cover': None,
 'debug_pipeline': None,
 'dehyphenate': True,
 'delete_blank_paragraphs': True,
 'disable_font_rescaling': False,
 'dont_split_on_page_breaks': False,
 'duplicate_links_in_toc': False,
 'embed_font_family': None,
 'enable_heuristics': False,
 'epub_flatten': False,
 'extra_css': None,
 'extract_to': None,
 'filter_css': u'',
 'fix_indents': True,
 'flow_size': 260,
 'font_size_mapping': None,
 'format_scene_breaks': True,
 'html_unwrap_factor': 0.4,
 'input_encoding': None,
 'input_profile': <calibre.customize.profiles.InputProfile object at 0x2efad50>,
 'insert_blank_line': False,
 'insert_blank_line_size': 0.5,
 'insert_metadata': False,
 'isbn': None,
 'italicize_common_cases': True,
 'keep_ligatures': False,
 'language': None,
 'level1_toc': None,
 'level2_toc': None,
 'level3_toc': None,
 'line_height': 0.0,
 'linearize_tables': False,
 'margin_bottom': 5.0,
 'margin_left': 5.0,
 'margin_right': 5.0,
 'margin_top': 5.0,
 'markup_chapter_headings': True,
 'max_toc_links': 50,
 'minimum_line_height': 120.0,
 'no_chapters_in_toc': False,
 'no_default_epub_cover': False,
 'no_inline_navbars': False,
 'no_svg_cover': False,
 'output_profile': <calibre.customize.profiles.GenericEink object at 0x2efc190>,
 'page_breaks_before': u"//*[name()='h1' or name()='h2']",
 'prefer_metadata_cover': False,
 'preserve_cover_aspect_ratio': False,
 'pretty_print': True,
 'pubdate': None,
 'publisher': None,
 'rating': None,
 'read_metadata_from_opf': u'/tmp/calibre_0.9.4_tmp_ho48C7/xd1Ts1.opf',
 'remove_fake_margins': True,
 'remove_first_image': False,
 'remove_paragraph_spacing': False,
 'remove_paragraph_spacing_indent_size': 1.5,
 'renumber_headings': True,
 'replace_scene_breaks': u'',
 'search_replace': '[]',
 'series': None,
 'series_index': None,
 'smarten_punctuation': False,
 'sr1_replace': None,
 'sr1_search': None,
 'sr2_replace': None,
 'sr2_search': None,
 'sr3_replace': None,
 'sr3_search': None,
 'start_reading_at': None,
 'tags': None,
 'timestamp': None,
 'title': None,
 'title_sort': None,
 'toc_filter': None,
 'toc_threshold': 6,
 'unsmarten_punctuation': False,
 'unwrap_lines': True,
 'use_auto_toc': False,
 'verbose': 2}
InputFormatPlugin: ODT Input running
on /tmp/calibre_0.9.4_tmp_ho48C7/HWCCrJ.odt
Extracting ODT file...
Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 185, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
    override_input_metadata=True)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1000, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 239, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/odt_input.py", line 23, in convert
    return Extract()(stream, '.', log)
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 267, in __call__
    self.filter_load(stream, mi, log)
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 250, in filter_load
    self._walknode(self.document.topnode)
AttributeError: Extract instance has no attribute '_walknode'
Comment 4 Asif Ali Rizvan 2012-11-09 13:58:51 EST
Created attachment 641782 [details]
testing.odt used to convert with calibre
Comment 5 Asif Ali Rizvan 2012-11-09 14:06:07 EST
installed calibre-0.9.5-x86_64.tar.bz2 using 
http://calibre-ebook.com/download_linux
---
sudo python -c "import sys; py3 = sys.version_info[0] >u = __import__('urllib.request' if py3 else 'urllib', fromlist=1); exec(u.urlopen('http://status.calibre-ebook.com/linux_installer').read()); main()"
--

chose /opt as installation folder;

calibre-0.9.5 properly converts the document.
Comment 6 Kevin Fenzi 2012-11-09 17:11:50 EST
*** Bug 875231 has been marked as a duplicate of this bug. ***
Comment 7 Gergely Polonkai 2013-02-15 09:54:57 EST
Tried to convert an ODT file to MOBI

Package: calibre-0.9.8-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 8 markusN 2013-05-19 14:19:04 EDT
Description of problem:
trying to convert and send self-made PDF file, text only

Version-Release number of selected component:
calibre-0.9.28-1.fc18

Additional info:
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.8.4-202.fc18.x86_64
runlevel:       N 5
uid:            1338
ureports_counter: 1

Truncated backtrace:
input.py:250:filter_load:AttributeError: Extract instance has no attribute '_walknode'

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 188, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
    override_input_metadata=True)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1009, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 239, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/odt_input.py", line 23, in convert
    return Extract()(stream, '.', log)
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 267, in __call__
    self.filter_load(stream, mi, log)
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 250, in filter_load
    self._walknode(self.document.topnode)
AttributeError: Extract instance has no attribute '_walknode'

Local variables in innermost frame:
odffile: <open file u'/tmp/calibre_0.9.28_tmp_uIUgFY/3dGo0X.odt', mode 'rb' at 0x2243780>
self: <calibre.ebooks.odt.input.Extract instance at 0x2305488>
mi: <calibre.ebooks.metadata.book.base.Metadata object at 0x2628b10>
log: <calibre.utils.logging.Log object at 0x1ce7c10>
Comment 9 markusN 2013-05-19 14:42:45 EDT
For suggestions, see

http://forum.fedoraonline.it/viewtopic.php?pid=203997

(in essence, the official version seems to ship the fix,
I didn't try yet)
Comment 10 Kevin Fenzi 2013-05-19 14:45:09 EDT
You can always find up to date packaged versions of calibre in my side repo: 

su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/calibre.repo
yum clean expire-cache
yum update calibre

If the newest version fixes it, thats great information to have. Please do let me know.
Comment 11 markusN 2013-05-19 15:30:10 EDT
(In reply to comment #10)
> You can always find up to date packaged versions of calibre in my side repo: 
> 
> su
> cd /etc/yum.repos.d
> wget http://repos.fedorapeople.org/repos/kevin/calibre/calibre.repo

Small correction:
http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo

> yum clean expire-cache
> yum update calibre
> 
> If the newest version fixes it, thats great information to have. Please do
> let me know.

Will use it, thanks.
Comment 12 markusN 2013-05-19 16:54:08 EDT
(In reply to comment #10)
> You can always find up to date packaged versions of calibre in my side repo: 

I have tried it but also here:

...
InputFormatPlugin: ODT Input running
on /tmp/calibre_0.9.31_tmp_xR0JMu/7zqZlC.odt
Extracting ODT file...
Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 188, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
    override_input_metadata=True)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1010, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 239, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/odt_input.py", line 23, in convert
    return Extract()(stream, '.', log)
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 267, in __call__
    self.filter_load(stream, mi, log)
  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 250, in filter_load
    self._walknode(self.document.topnode)
AttributeError: Extract instance has no attribute '_walknode'

I wonder if it matters that I use LibreOffice 4.0.3?
Comment 13 Fedora End Of Life 2013-07-04 02:07:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 13:34:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.